
%define	oname	passenger

Summary:	Apache module for Ruby on Rails support
Name:		rubygem-%{oname}
Version:	3.0.21
%define subrel	2
Release:	%mkrel 2
License:	MIT
Group:		Development/Ruby
URL:		http://%{oname}.rubyforge.org/
Source0:	http://rubygems.org/downloads/%{oname}-%{version}.gem
Source1:	mod_passenger.conf
Patch0:		rubygem-passenger-3.0.5-missing-includes.patch
Patch1:		rubygem-passenger-3.0.5-compile-flags.patch
Patch2:         boost-1.48.0-gcc47-pthreads.patch
# drop fastthread req as it is only needed for ruby < 1.8.6
# see here: https://bugzilla.redhat.com/show_bug.cgi?id=846108
Patch3:		rubygem-passenger-3.0.21-drop-fastthread-req.patch
Patch4:		rubygem-passenger-3.0.21-CVE-2013-4136-tmp-directory.patch
BuildRequires:	ruby-devel ruby-RubyGems apache-devel ruby-rake
BuildRequires:	apache curl-devel
Provides:	apache-mod_passenger = %{version}-%{release}

%description
Passenger is an Apache module for Ruby on Rails support.

%prep
%setup -q
%patch4 -p1
gunzip metadata.gz
%patch3 -p0
gzip metadata

%build
%define _disable_ld_no_undefined 1
%setup_compile_flags
rake apache2 APXS2=%{_bindir}/apxs OPTIMIZE=yes
%gem_build -f 'helper-scripts'

%install
install -m0644 %{SOURCE1} -D %{buildroot}%{_httpd_modconfdir}/mod_passenger.conf

%gem_install
install -m755 ext/apache2/mod_passenger.so -D %{buildroot}%{_httpd_moddir}/mod_passenger.so
install -m755 ext/ruby/ruby-*/passenger_native_support.so -D %{buildroot}%{ruby_sitearchdir}/passenger_native_support.so
cp -r agents  %{buildroot}%{ruby_sitearchdir}/
mkdir -p %{buildroot}%{_libexecdir}
ln -s %{ruby_sitearchdir} %{buildroot}%{_libexecdir}/phusion-passenger
install -d %{buildroot}%{_datadir}/phusion-passenger
ln -s %{ruby_gemdir}/gems/%{oname}-%{version}/helper-scripts %{buildroot}%{_datadir}/phusion-passenger

%files
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%{ruby_gemdir}/gems/%{oname}-%{version}
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/passenger_native_support.so
%dir %{ruby_sitearchdir}/agents
%{ruby_sitearchdir}/agents/*
%{_bindir}/passenger*
%{_httpd_moddir}/mod_passenger.so
%attr(0644,root,root) %config(noreplace) %{_httpd_modconfdir}/mod_passenger.conf
%{_libexecdir}/phusion-passenger
%{_datadir}/phusion-passenger


%changelog
* Tue Aug 20 2013 luigiwalser <luigiwalser> 3.0.21-2.2.mga3
+ Revision: 468272
- use appropriate paths for apache 2.4
- add patch from redhat to fix CVE-2013-4136

  + fwang <fwang>
    - drop fastthread req
    - new version 3.0.21

* Mon Feb 18 2013 fwang <fwang> 3.0.18-4.mga3
+ Revision: 399077
- drop fastthread requires as it is not needed with recent ruby

* Fri Feb 08 2013 umeabot <umeabot> 3.0.18-3.mga3
+ Revision: 396639
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.0.18-2.mga3
+ Revision: 382048
- create _libexecdir before creating something in it

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 3.0.18-1.mga3
+ Revision: 312755
- update file list
- update path of apxs2
- new version 3.0.18

* Mon Jul 09 2012 dmorgan <dmorgan> 3.0.5-2.mga3
+ Revision: 268938
- Adapt to new rubygem support in rpm
- Fix build with new boost and gcc 4.7

  + luigiwalser <luigiwalser>
    - 3.0.5 (sync with mdv)
    - fix module configuration to work with systemd (mga #6714)

* Sun Apr 08 2012 luigiwalser <luigiwalser> 2.2.9-4.mga2
+ Revision: 229647
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 2.2.9-3.mga2
+ Revision: 144723
- Change apache-base require

* Thu Jun 23 2011 dams <dams> 2.2.9-2.mga2
+ Revision: 112707
- imported package rubygem-passenger

